PHP 8.x support

Tagged:
  • dogfuriendly-john
    Participant
    4 months, 4 weeks ago #30839

    Hi.
    I notice from another support issue (https://www.wpsolr.com/forums/topic/error-on-line-63-of-file-var-www-html-wp-content-plugins-wpsolr-pro-wpsolr-core/) that PHP 8.x support wasn’t in place seven months ago.
    Is this still the case, or is PHP 8 (specifically 8.1) now fully supported?
    Thanks in advance.
    Regards,
    John.

    • This topic was modified 4 months, 4 weeks ago by wpsolr.
    wpsolr
    Keymaster
    4 months, 4 weeks ago #30847

    Nothing changed since the topic you mentioned above. We still test our plugin with PHP 7.4

    dogfuriendly-john
    Participant
    4 months, 4 weeks ago #30848

    So, you’re only testing with a version of PHP that’s no longer supported after the 22nd of September?

    The fact that PHP 8 has been out for over two years and you’re not testing with it it a little concerning if I’m honest.

    Regards,
    John Parker.

    wpsolr
    Keymaster
    4 months, 4 weeks ago #30851

    Half our WPSOLR demos are using PHP 8.1, half PHP 7.4

    dogfuriendly-john
    Participant
    4 months, 4 weeks ago #30853

    Ahh… cool. That makes more sense.

    I’m guessing the person in that other thread had some other issue.

    Thanks for the clarification.

    Regards,
    John Parker.

    wpsolr
    Keymaster
    4 months, 4 weeks ago #30854

    I will test WPSOLR 22.4 with PHP 8.1 anyway…

Viewing 6 posts - 1 through 6 (of 6 total)

You must be logged in to reply to this topic.